Search the VMware Knowledge Base (KB)
View by Article ID

vCenter Server fails to install or upgrade with the error: This installation package is not supported by this processor type (1019144)

  • 27 Ratings

Symptoms

  • Installing vCenter Server 4.1 or 5.x fails on a Windows 32 bit operating system
  • Upgrading from vCenter Server 4.0 to vCenter Server 4.1 fails
  • This issue occurs if you are performing the installation or upgrade on a Windows 32 bit operating system
  • You see the error: 

    This installation package is not supported by this processor type. Contact your product vendor.
     
  • The vCenter Server %tmp%\vminst.log contains entries similar to:

    MSI (c) (EC:88) [17:13:47:395]: Original package ==> W:\vpx\VMware vCenter Server.msi
    MSI (c) (EC:88) [17:13:47:395]: Package we're running from ==> C:\DOCUME~1\ADMINI~1\LOCALS~1\Temp\21cac1.msi
    MSI (c) (EC:88) [17:13:47:410]: APPCOMPAT: looking for appcompat database entry with ProductCode '{95058F90-23E0-4B60-BB27-084DF5809F79}'.
    MSI (c) (EC:88) [17:13:47:410]: APPCOMPAT: no matching ProductCode found in database.
    MSI (c) (EC:88) [17:13:47:410]: MSCOREE not loaded loading copy from system32
    This installation package is not supported by this processor type. Contact your product vendor.
    W:\vpx\VMware vCenter Server.msi
    MSI (c) (EC:88) [17:13:47:410]: Note: 1: 1708
    MSI (c) (EC:88) [17:13:47:410]: Note: 1: 2729
    MSI (c) (EC:88) [17:13:47:551]: Note: 1: 2729
    MSI (c) (EC:88) [17:13:47:551]: Product: VMware vCenter Server -- Installation failed.

Resolution

vCenter Server 4.1 and 5.x are supported only on 64bit operating systems. You cannot install or upgrade vCenter Server 4.1 or 5.x on 32bit operating systems.
 
To resolve this issue, ensure to install vCenter Server 4.1 or 5.x on a supported 64bit operating system.
 
For a list of supported 64bit operating systems in vCenter Server 4.1, see Operating System Compatibility in the vSphere Compatibility Martix
 
For vCenter Server 5.x, see: 

See Also

Update History

11/14/2011 - Added link to the vSphere compatibility Matrix and vCenter Server 5.0 Best Practices. Added vCenter Server 5.0 to Products.

Request a Product Feature

To request a new product feature or to provide feedback on a VMware product, please visit the Request a Product Feature page.

Feedback

  • 27 Ratings

Did this article help you?
This article resolved my issue.
This article did not resolve my issue.
This article helped but additional information was required to resolve my issue.

What can we do to improve this information? (4000 or fewer characters)




Please enter the Captcha code before clicking Submit.
  • 27 Ratings
Actions
KB: